Bug 582617

Summary: [dualhead] when leaving fulscreen with changed resolution, only one screen comes back
Product: [Fedora] Fedora Reporter: Michal Hlavinka <mhlavink>
Component: extremetuxracerAssignee: Nils Philippsen <nphilipp>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 17CC: airlied, ajax, bskeggs, nphilipp
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-01-26 04:33:32 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
xorg log
none
dmesg none

Description Michal Hlavinka 2010-04-15 08:56:53 EDT
Created attachment 406771 [details]
xorg log

Description of problem:
For Nouveau glx test case I've tried extremetuxracer. It worked fine, but after quitting the game only one screen came back, second screen was just black. Using  xrandr I was able to  bring the second screen back

Version-Release number of selected component (if applicable):
kernel-2.6.33.2-47.fc13.x86_64
xorg-x11-drv-nouveau-0.0.16-3.20100305git6b8b157.fc13.x86_64
xorg-x11-server-common-1.8.0-6.fc13.x86_64


How reproducible:
always

Steps to Reproduce:
1.run extrenetuxracer fullscreen
2.quit game
3.
  
Actual results:
one screen back, second screen black

Expected results:
both screens back

Additional info:
http://www.smolts.org/client/show/pub_dffb6381-0143-4116-8c63-294567703534
Comment 1 Michal Hlavinka 2010-04-15 08:57:19 EDT
Created attachment 406772 [details]
dmesg
Comment 2 Ben Skeggs 2010-04-15 18:38:27 EDT
Can I see the output of xrandr from after you've exited the game, or what exactly you run to bring it back?  If the screen's simply turned off after the game exits, it's probably not nouveau's fault, it just does what it's asked to :)
Comment 3 Michal Hlavinka 2010-04-19 03:11:59 EDT
after I exited the game:

$ xrandr
Screen 0: minimum 320 x 200, current 1280 x 1024, maximum 8192 x 8192
DVI-I-1 connected 1280x1024+0+0 (normal left inverted right x axis y axis) 338mm x 270mm
   1280x1024      60.0*+   75.0
   1152x864       75.0
   1024x768       75.1     60.0
   800x600        75.0     60.3
   640x480        75.0     60.0
   720x400        70.1
DVI-I-2 connected (normal left inverted right x axis y axis)
   1680x1050      59.9 +
   1280x1024      75.0     60.0
   1280x960       60.0
   1152x864       75.0
   1024x768       75.1     70.1     60.0
   832x624        74.6
   800x600        72.2     75.0     60.3     56.2
   640x480        72.8     75.0     66.7     60.0
   720x400        70.1

DVI-I-1 is on, DVI-I-2 black (probably no data)

command I used:
$ xrandr --auto
$ xrandr --output DVI-I-2 --left-of DVI-I-1
second command itself does not bring DVI-I-2 back, first command is enough, second is just for rearrangement
Comment 4 Ben Skeggs 2010-04-19 03:30:23 EDT
Ok, nouveau's done what's been asked of it then, the xrandr output shows DVI-I-2 as being disabled.  I'll take a look at the behaviour here tomorrow hopefully and see where to reassign this to.
Comment 5 Michal Hlavinka 2010-04-19 03:59:05 EDT
ok, thanks

Btw, how did you find out it's disabled? I can see only Screen 0: ... current XY which equals to DVI-I-1. Also there is no star in DVI-I-2 section, this means it's disabled?
Comment 6 Ben Skeggs 2010-04-19 18:29:45 EDT
Yup, + is the display's preferred mode, * is which mode is currently enabled.
Comment 7 Ben Skeggs 2010-06-01 21:57:55 EDT
As stated before, nouveau's done what was asked of it so I'm going to reassign to extremetuxracer for the moment.  It should be restoring the mode that was set before it went fullscreen.
Comment 8 Bug Zapper 2011-06-02 11:19:36 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Fedora End Of Life 2012-08-07 15:37:38 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Michal Hlavinka 2012-08-08 06:39:15 EDT
still reproducible in fedora 17
Comment 11 Fedora End Of Life 2013-07-04 02:52:09 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2013-08-01 14:31:23 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 13 Michal Hlavinka 2013-08-02 03:03:46 EDT
Different issue, but still not fixed.
Original issue:
2 screens, run tuxracer, 1 screen goes off, exit tuxracer, 1 screen stays off

Present issue:
2 screens, run tuxracer, screen 2 becomes clone of screen 1 (originaly "left-of"), exit tuxracer, screens stay clones
Comment 14 Jan Kurik 2015-12-22 06:34:29 EST
This bug is currently assigned to an unsupported release. If you think this bug is still valid and should remain open, please re-assign it to a supported release (F22, F23) or to rawhide.

Bugs which will be assigned to an unsupported release are going to be closed as EOL (End Of Life) on January 26th, 2016.